Downgrading a model in AX2012?

If you try to import a model, and get an error that the model file is from a newer version of Microsoft Dynamics AX and cannot be installed, I have not yet found a way around that. You need to upgrade your AX, find an upgraded AX, or ask for an xpo instead. If anyone has found a better way, I’m happy to listen.

The point is, if you are developing for a customer on a more recent version than the customer has, they WILL have problems. This is, of course, different from xpos in earlier versions. Clearly MS still has some work to do on their “model model.”

 

EDIT 12 Jul 2012: I requested hotfix 2696835 from Microsoft, which brought the version up to 6.0.1108.403, which was sufficient for my import. Microsoft says, “This fix is not publicly available through the Microsoft website as it has not gone through full Microsoft regression testing.” I imagine, though, that CU3 (just released) would do the trick also.

Advertisements

About janeteblake

Dynamics AX developer
This entry was posted in AX2012, Dynamics AX and tagged , , , . Bookmark the permalink.

One Response to Downgrading a model in AX2012?

  1. Homepage says:

    You produced some decent points there. I looked on the web for that issue and discovered many people is going together with with the internet website. 519784

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s